<?php

namespace EasyCriticalCSS;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Compatibility_Add_To_Any extends Compatibility {
	public static function init() {
		add_filter( 'easy_cc_common_secondary_selectors', [ __CLASS__, 'common_secondary_selectors' ] );
	}

	public static function common_secondary_selectors( $selectors ) {
		$selectors[] = '.a2a_kit';
		$selectors[] = '.addtoany_content';
		$selectors[] = '.addtoany_header';
		$selectors[] = '.addtoany_list';
		$selectors[] = '.addtoany_special_service';

		return $selectors;
	}
}
